Subject: bug#76853: M-b not navigating to the previous word in the prompt string inside Eshell on emacs 30.1

From: Stefan Kangas <[email-masked]>
Date: Sat, 15 Mar 2025 05:37:24 -0700

Jim Porter <[email-masked]> writes:

> On 3/13/2025 8:32 PM, Hrishikesh S wrote:
>> This worked:
>> (add-hook 'eshell-mode-hook (lambda () (setq-local
>> inhibit-field-text-motion t)))
>>
>> but then I lose the completions I get when I type a command like `cd <tab>`
>> It would be nice if I could get back the behavior I was used to in emacs
>> 29.
>> Currently, I'm managing by first hitting `C-b` followed by `M-b`.
>
> That's unfortunate. I'm open to implementation options here. Stefan (or
> anyone else who wants to chime in), do you think it would make sense to
> say, "Users should be able to set 'inhibit-field-text-motion' to t in
> Eshell," and that any problems with that are bugs to be fixed?
>
> Or maybe we should handle this bug report in a different way?

I don't have a strong opinion myself, but if we can fix that then it
does seem a bit better.

Maybe Stefan Monnier (in Cc) has some ideas.